<?php
session_start();
$ruta="../../";
include_once($ruta."class/dominio.php");
$dominio=new dominio;
include_once($ruta."class/credito.php");
$credito=new credito;
include_once($ruta."class/seguimiento.php");
$seguimiento=new seguimiento;
include_once($ruta."class/tiposeguimiento.php");
$tiposeguimiento=new tiposeguimiento;
include_once($ruta."class/persona.php");
$persona=new persona;
include_once($ruta."class/vusuario2.php");
$vusuario2=new vusuario2;
include_once($ruta."class/individualcredito.php");
$individualcredito=new individualcredito;
//include_once($ruta."../../funciones/funciones.php");
extract($_POST);

switch ($rutaenvio) 
{
  case '1':
   $rutaenvio='../';
    break;

  case '2':
   $rutaenvio='../../';
  break;

  case '3':
   $rutaenvio='../../../';
  break;

  case '4':
   $rutaenvio='../../../../';
    break;  
}

 $cred=$credito->muestra($idcredito);  
 //$grucre=$grupocredito->muestra($cred['idgrupocredito']);
 $grucre=$individualcredito->muestra($cred['idgrupocredito']);
  //$idgrupo=$grucre['idgrupo'];
  //$gr=$grupo->muestra($grucre['idgrupo']);
  $fechaDeHoy=date('Y-m-d');
  $per=$persona->muestra($cred["idpersona"]);

  $lblcode=ecUrl($idcredito);
  $lblcode2=ecUrl($cred['idgrupocredito']);//es idindividualcredito
  echo "
   <div class='row' style='background: #7AAD4E; text-align: center; color:white; font-size: 20px; border-radius: 5px;'>Cliente: <b>".$per['nombre'].' '.$per['paterno'].' '.$per['materno']."</b> Carnet:<b>".$per['carnet'].' '.$per['expedido']."</b></div>
  <fieldset>
  <a href='".$rutaenvio."seguimiento/grupos/cuotas/registro.php?lblcode=$lblcode&lblcode2=$lblcode2' class='btn-jh waves-effect darken-4 blue'><i class='fa fa-list-alt'></i> Registrar Nuevo</a>
     <legend class='titulo'>
      
      </legend>
        <table id='exampleHABDET' style='font-size:14px;' class='display' cellspacing='0' width='100%'>
           <thead>
              <tr style='text-align:right;'>   
              <th>Nro.</th>
                <th>Registro</th>
                <th>Respuesta</th>
                <th>Tipo</th>
                <th>Fecha Compromiso</th>
                <th >Hrs. Compromiso</th>
                <th>Observación</th>
                <th>Usuario</th>
              </tr>
           </thead>
        <tbody>
      ";      
      $contar=0;
      //CONTASEGUIMIENTO
       $cantidadseg="";
     if ($fechaDeHoy>=$grucre['fechaproximo']) 
     {  
       foreach($seguimiento->mostrarTodo("idcredito=".$idcredito." and fecha>='".$grucre['fechaproximo']."'") as $seg)
      {
        $cantidadseg++;
        $regus=$vusuario2->muestra($seg["usuariocreacion"]);
        $tiseg=$tiposeguimiento->muestra($seg["idtiposeguimiento"]);
         $contar++; 
         switch ($seg['respuestallamada']) {
                        case '1':
                          $respuesta='BUENA';
                          $estilo="color: #00AB4E;";
                          break;
                        
                        case '2':
                          $respuesta='REGULAR';
                          $estilo="color: #FF892D;";
                          break;
                        case '3':
                          $respuesta='MALA';
                          $estilo="color: #FF1E1E;";
                          break;  
                      } 
                      switch ($seg["idtiposeguimiento"]) {
                        case '1':
                          $tipoestilo="color: #11A000;";
                          break;
                        
                        case '2':
                          $tipoestilo="color: #0295A9;";
                          break;
                        case '3':
                          $tipoestilo="color: #B82000;";
                          break;  
                      }
        echo "
              <tr>
              <td>".$contar."</td>
              <td>".$seg['fecha']."</td>
                <td style='text-align:left; font-weight: bold; $estilo'>".$respuesta."</td>
                <td style='text-align:left; font-weight: bold; $tipoestilo'>".$tiseg['nombre']."</td>
                
                <td>".$seg['fechacompromiso']."</td>
                <td>".$seg['horacompromiso']."</td>
                <td>".$seg['observacion']."</td>
                <td>".$regus['nombre']."</td>
              </tr>
            ";
       }
      }
 echo "  </tbody>
        <tfoot>
          <tr style='align=center'>
            <th style='text-align:center'></th>
            <th style='text-align:center'></th>
             <th style='text-align:center'></th>
             <th style='text-align:center'></th>
             <th style='text-align:center'></th>
             <th style='text-align:center'></th>
             <th style='text-align:left'></th>
             <th style='text-align:left'></th>
           </tr>
        </tfoot>
        </table>      
       </fieldset>                         
        "; 
?> 

 <script type="text/javascript">
    $(document).ready(function() {
      
       $('#exampleHABDET').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "DESC" ]],
        buttons: [
           // 'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });

    });

    </script>  
     

